import
Post apiv1coursesimport
POST
/
api
/
v1
/
courses
/
import
cURL
curl --request POST \
--url https://tessera.edstratumlabs.ai/api/v1/courses/import \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"course": {
"code": "<string>",
"title": "<string>",
"term": "<string>",
"description": "<string>",
"welcome": "<string>",
"outcomes": [
"<string>"
]
},
"modules": [
{
"title": "<string>",
"lessons": [
{
"title": "<string>",
"blocks": [
{
"type": "heading",
"level": 2,
"text": "<string>",
"id": "<string>"
}
],
"minutes": 120
}
]
}
]
}
'import requests
url = "https://tessera.edstratumlabs.ai/api/v1/courses/import"
payload = {
"course": {
"code": "<string>",
"title": "<string>",
"term": "<string>",
"description": "<string>",
"welcome": "<string>",
"outcomes": ["<string>"]
},
"modules": [
{
"title": "<string>",
"lessons": [
{
"title": "<string>",
"blocks": [
{
"type": "heading",
"level": 2,
"text": "<string>",
"id": "<string>"
}
],
"minutes": 120
}
]
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
course: {
code: '<string>',
title: '<string>',
term: '<string>',
description: '<string>',
welcome: '<string>',
outcomes: ['<string>']
},
modules: [
{
title: '<string>',
lessons: [
{
title: '<string>',
blocks: [{type: 'heading', level: 2, text: '<string>', id: '<string>'}],
minutes: 120
}
]
}
]
})
};
fetch('https://tessera.edstratumlabs.ai/api/v1/courses/import', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"course": {
"id": "<string>",
"code": "<string>",
"title": "<string>",
"term": "<string>",
"description": "<string>",
"welcome": "<string>",
"outcomes": [
"<string>"
],
"instructorIds": [
"<string>"
],
"status": "active",
"instructorNames": [
"<string>"
],
"moduleCount": 1,
"lessonCount": 1,
"publishedLessonCount": 1,
"studentCount": 1,
"progress": 0.5,
"startedLessonCount": 1
},
"modules": [
{
"id": "<string>",
"courseId": "<string>",
"title": "<string>",
"position": 4503599627370495,
"lessons": [
{
"id": "<string>",
"moduleId": "<string>",
"courseId": "<string>",
"title": "<string>",
"minutes": 120,
"position": 4503599627370495,
"status": "draft",
"publishedAt": "<string>",
"progress": "not-started",
"draftBlockCount": 1
}
]
}
]
}{
"error": {
"code": "unauthenticated",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "unauthenticated",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "unauthenticated",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "unauthenticated",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "unauthenticated",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "unauthenticated",
"message": "<string>",
"details": "<unknown>"
}
}⌘I
cURL
